Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class UndefTriple

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.UndefTriple

    public class UndefTriple

extends Object

Constructor Summary
`UndefTriple(com.hp.hpl.jena.rdf.arp.AResource subj, com.hp.hpl.jena.rdf.arp.AResource pred, com.hp.hpl.jena.rdf.arp.ALiteral obj, TripleStore ts)`
`UndefTriple(com.hp.hpl.jena.rdf.arp.AResource subj, com.hp.hpl.jena.rdf.arp.AResource pred, com.hp.hpl.jena.rdf.arp.AResource obj, TripleStore ts)`

Method Summary
`boolean` | `equals(Object obj)`
`Object` | `getTripleObj()`
`com.hp.hpl.jena.rdf.arp.AResource` | `getTriplePred()`
`TripleStore` | `getTripleStore()`
`com.hp.hpl.jena.rdf.arp.AResource` | `getTripleSubj()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndefTriple

    public UndefTriple(com.hp.hpl.jena.rdf.arp.AResource subj,
                       com.hp.hpl.jena.rdf.arp.AResource pred,
                       com.hp.hpl.jena.rdf.arp.AResource obj,
                       TripleStore ts)

### UndefTriple

    public UndefTriple(com.hp.hpl.jena.rdf.arp.AResource subj,
                       com.hp.hpl.jena.rdf.arp.AResource pred,
                       com.hp.hpl.jena.rdf.arp.ALiteral obj,
                       TripleStore ts)

Method Detail

### getTripleObj

    public Object getTripleObj()

### getTriplePred

    public com.hp.hpl.jena.rdf.arp.AResource getTriplePred()

### getTripleSubj

    public com.hp.hpl.jena.rdf.arp.AResource getTripleSubj()

### getTripleStore

    public TripleStore getTripleStore()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.